package com.bitss.tk.view.menu;

import java.util.ArrayList;

import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;

public class MenuAdapter extends BaseAdapter
{
	private ArrayList<MenuItem> mMenuItems;
	public MenuAdapter(ArrayList<MenuItem> menuItems)
	{
		mMenuItems = menuItems;
	}
	
	
	public int getCount()
	{
		return mMenuItems.size();
	}

	
	public Object getItem(int position)
	{
		return position;
	}

	
	public long getItemId(int position)
	{
		return position;
	}

	
	public View getView(int position, View convertView, ViewGroup parent)
	{
		if (null == convertView)
		{
			convertView = mMenuItems.get(position).getView();
		}
		
		return convertView;
	}

}
