package imgclient;

import java.io.*;
import java.net.*;

public class JFileRecver {
	public static final int BUFF_SIZE = 0x400;
	public static final int BUFF_MASK = 0x3FF;
	
	private Socket m_sock = null;
	private byte[] m_data = new byte[BUFF_SIZE];
	
	private DataInputStream m_sin = null;
	private FileOutputStream m_fout = null;
	private File m_file = null;
	
	//private int m_fileSize;
	private int m_blockSize;
	private int m_blockCnt;
	
	public void setSocket(Socket sock) {
		m_sock = sock;
	}
	
	public void recvFile(String fileName) {
		int i;
		byte[] buff = new byte[4];
		
		try {
			try {
				m_sin = new DataInputStream(m_sock.getInputStream());
				m_file = new File(fileName);
				m_fout = new FileOutputStream(m_file);
			
				
				m_sin.read(buff, 0, 4);
				m_blockCnt = JDataCOM.byte2int(buff);
				
				//System.out.format("m_blockCnt = %d\n", m_blockCnt);
				
				for (i = 0; i < m_blockCnt; ++i) {
					m_blockSize = m_sin.read(m_data, 0, BUFF_SIZE);
					//System.out.format("m_blockSize = %d\n", m_blockSize);
					m_fout.write(m_data, 0, m_blockSize);
				}
				
				//t.close();
				
			} finally {
				if (m_sin != null) m_sin.close();
				if (m_fout != null) m_fout.close();
			}
		}  catch (Exception e) {
            e.printStackTrace();
        }
	}
}
