#ifndef _CFILERECVER_H_
#define _CFILERECVER_H_

#include <stdio.h>
#include <WinSock2.h>

#pragma comment(lib, "ws2_32.lib") 

#define BUFF_SIZE 0x400
#define BUFF_MASK 0x3FF

class CFileRecver {
public:
	CFileRecver();
	CFileRecver(const SOCKET &sock);
	~CFileRecver();

	void setSocket(const SOCKET &sock);
	bool recvFile(const char *file);

private:
	SOCKET m_sock;
	FILE *m_pFile;

	int m_fileSize;
	int m_blockSize;
	int m_blockCnt;

	char m_data[BUFF_SIZE];
};

inline void CFileRecver::setSocket(const SOCKET &sock) {
	m_sock = sock;
}

#endif