#ifndef _CIMGSERVER_H_
#define _CIMGSERVER_H_

#include <stdio.h>
#include <WinSock2.h>

#include "CFileRecver.h"
#include "CFileSender.h"

#include "ImageFieldDepthMaker.h"
#include "ImgDoFEffectMaker.h"

#pragma comment(lib, "ws2_32.lib") 

#define SERVER_PORT	8099

class CImgServer {
	friend DWORD WINAPI threadProc(LPVOID lpParameter);

public:
	 CImgServer();
	 ~CImgServer();

	bool initSocket();
	void closeSocket();
	bool start();
	void stop();

private:
	WORD m_wVersionRequested;
	WSADATA m_wsaData;
	SOCKET m_server;
	SOCKET m_accept;
	SOCKADDR_IN m_addrServer;
	SOCKADDR_IN m_addrClient;

	HANDLE m_hThread;

	CFileRecver m_recv;
	CFileSender m_send;

	int px, py;

	PicDOFInfo *ans;

	ImgDoFEffectMaker *dofMaker;
	ImageFieldDepthMaker *maker;

	bool run();
};

#endif