package imgclient;

public class JDataCOM {
	public static byte[] int2byte(int src) {
		byte[] ret = new byte[4];
		ret[0] = (byte)(src & 0xFF);
		ret[1] = (byte)((src >>> 8) & 0xFF);
		ret[2] = (byte)((src >>> 16) & 0xFF);
		ret[3] = (byte)((src >>> 24) & 0xFF);
		return ret;
	}
	
	public static int byte2int(byte[] src) {
		int ret = 0;
		ret |= (src[0] & 0xFF);
		ret |= (src[1] & 0xFF) << 8;
		ret |= (src[2] & 0xFF) << 16;
		ret |= (src[3] & 0xFF) << 24;
		return ret;
	}
}
