package qsl.learn;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.EditText;

/**
 * 包含了那个colorMatrix的控件的页面。可以用作后续的一个特效功能
 * 
 * 
 * 
 */
public class MyPhotoActivity extends Activity implements OnClickListener {

	private EditText[] editTexts = new EditText[20];
	MyPhoto myPhoto;

	@Override
	protected void onCreate(Bundle savedInstanceState) {

		super.onCreate(savedInstanceState);

		setContentView(R.layout.myphoto);
		getEditText();
		myPhoto = (MyPhoto) findViewById(R.id.MyImage);
		findViewById(R.id.set).setOnClickListener(this);
	}

	private void getEditText() {
		for (int i = 0; i < 20; i++) {
			editTexts[i] = (EditText) findViewById(R.id.indexa0 + i);
		}

	}

	private float[] getFloatValue() {
		float[] floatValue = new float[20];
		for (int i = 0; i < 20; i++) {
			floatValue[i] = Float.parseFloat(editTexts[i].getText().toString());
		}

		return floatValue;

	}

	
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.set:
			myPhoto.setValue(getFloatValue());
			myPhoto.invalidate();
			break;

		default:
			break;
		}

	}

}
