#include "CFileRecver.h"

CFileRecver::CFileRecver() : m_pFile(NULL) {}

CFileRecver::CFileRecver(const SOCKET &sock) : m_sock(sock), m_pFile(NULL) {}

CFileRecver::~CFileRecver() {}

bool CFileRecver::recvFile(const char *file) {
	int i;

	if (!(m_pFile = fopen(file, "wb"))) return false;

	recv(m_sock, reinterpret_cast<char *>(&m_blockCnt), sizeof(m_blockCnt), 0);

	printf("file = %s\n", file);
	printf("recv block count = %d\n", m_blockCnt);

	for (i = 0; i < m_blockCnt; ++i) {
		//recv(m_sock, reinterpret_cast<char *>(&m_blockSize), sizeof(m_blockSize), 0);
		m_blockSize = recv(m_sock, m_data, BUFF_SIZE, 0);

		//printf("i = %d, cnt = %d, m_blockSize = %d\n", i, m_blockCnt, m_blockSize);
		
		fwrite(m_data, 1, m_blockSize, m_pFile);
	}

	fclose(m_pFile);

	return true;
}
