#include "CFileSender.h"

CFileSender::CFileSender() : m_pFile(NULL) {}

CFileSender::CFileSender(const SOCKET &sock) : m_sock(sock), m_pFile(NULL) {}

CFileSender::~CFileSender() {}

bool CFileSender::sendFile(const char *file) {
	int i;
	
	if (!(m_pFile = fopen(file, "rb"))) return false;
	fseek(m_pFile, 0, SEEK_END);
	m_fileSize = ftell(m_pFile);

	printf("file size = %d\n", m_fileSize);

	rewind(m_pFile);
	m_blockCnt = (m_fileSize + BUFF_SIZE - 1) / BUFF_SIZE;

	printf("file block count = %d\n", m_blockCnt);

	send(m_sock, reinterpret_cast<const char *>(&m_blockCnt), sizeof(m_blockCnt), 0);
	for (i = 0; i < m_blockCnt; ++i) {
		m_blockSize = fread(m_data, 1, BUFF_SIZE, m_pFile);
		//send(m_sock, reinterpret_cast<const char *>(&m_blockSize), sizeof(m_blockSize), 0);
		send(m_sock, m_data, m_blockSize, 0);
	}

	fclose(m_pFile);

	return true;
}

