#ifndef MEAN_SHIFT_CHOPPER_H
#define MEAN_SHIFT_CHOPPER_H

#include "config.h"

class MeanShiftChopper{
public:
	MeanShiftChopper();
	void InitParameter(int _spatialRad, int _colorRad, int _maxPyrLevel);
	bool getPicChopped(Mat* src, Mat* dst, map<Scalar, int>& m);
private:
	RNG rng;
	void floodFillPostprocess( Mat& img, map<Scalar, int>& m, const Scalar& colorDiff=Scalar::all(1));
	int spatialRad, colorRad, maxPyrLevel;
};

#endif