#ifndef _WATERSHEDCHOPPER_H
#define _WATERSHEDCHOPPER_H

#include "config.h"

/*
	1. change DFS to color based --> finished
	2. change RANSAC to block featured, draw circle on matching point
	3. mark with distance gradually change
*/
class WatershedChopper{
public:
	//ʼIplImageΪ0
	WatershedChopper();
	//ͼƬע꺯ʼIplImage
	bool loadPicture(const char* filename);
	//mask
	bool chop();
	//ˢͼ
	void refresh();

	int getCompCount(){
		return comp_count;
	}
	map<bgr_point, int> getColorMap(){
		return color_map;
	}
	//ȡƬͼ
	IplImage* getMasker(){
		return wshed;
	}
	//ȡЧͼ
	IplImage* getDst(){
		return dst;
	}
	vector<pair<CvPoint, CvPoint>> getDirArr(){
		return dir_arr;
	}
private:
	static void on_mouse(int event, int x, int y, int flags, void* param);
private:
	IplImage* marker_mask, *markers, *img0, *img, *img_gray, *wshed;
	std::vector<std::pair<CvPoint, CvPoint>> dir_arr;
	int comp_count;
	IplImage* dst;
	CvMemStorage* storage;
	CvPoint prev_pt, pt_start, pt_end;
	CvRNG rng;
	map<bgr_point, int> color_map;
};

#endif