#include <iostream>
#include <cstdio>
#include <cstring>

#include "ImgDoFEffectMaker.h"
#include "CImgServer.h"

int main() {

	PicDOFInfo *ans;


#ifdef _DEBUG

	ImgDoFEffectMaker *dofMaker = new ImgDoFEffectMaker();
	ImageFieldDepthMaker *maker = new ImageFieldDepthMaker();

	char fLeft[] = "data/lib_left.jpg", fRight[] = "data/lib_right.jpg", fOut[] = "lib_out.txt", fBlock[] = "lib_block.txt";
// 	scanf("%s%s", fLeft, fRight);
// 	printf("please input output filename: ");
// 	scanf("%s", fOut);
	//ImageFieldDepthMaker maker;
	//FILE* fp = fopen(fOut,"w");
	//FILE* fb = fopen(fBlock, "w");
	//maker->LoadPicLeftRight(fLeft, fRight);
	//maker->CMDOperations();
	//maker->calFieldDepth();
	//PicDOFInfo *info;
	//maker->getFieldDepth(&info);

	
	if (!dofMaker->loadSrcImg("data/12_new.jpg")) printf("load pic fail!!!\n");
	else {
		if (!dofMaker->loadDepInfo("data/12.txt")) printf("load dep fail!!!\n");
		//if (!dofMaker->loadDepInfo(*ans)) printf("load dep fail!!!\n");
		else {
			dofMaker->makeDoFEffect(LEN_DIAM);
			dofMaker->saveDstImg("data/out_12.jpg");
		}
	}
	
	delete dofMaker;
	delete maker;

#else

	CImgServer *pServer = new CImgServer();

	pServer->initSocket();
	pServer->start();
	getchar();
	pServer->stop();

	delete pServer;

#endif // !_DEBUG

	return 0;
}